#!/bin/bash
WSP=$1;
POIsF=""
if [[ "$1" == "" ]]; then echo "usage: $0 model"; exit 1; fi;
case $WSP in
B1WW) POIs="mu_XS_ggF_x_BR_WW mu_XS_VBF_r_XS_ggF mu_XS_ttH_r_XS_ggF mu_XS_WH_r_XS_ggF mu_XS_ZH_r_XS_ggF mu_BR_tautau_r_BR_WW mu_BR_bb_r_BR_WW mu_BR_gamgam_r_BR_WW mu_BR_ZZ_r_BR_WW" ;
      POIsR="mu_XS_VBF_r_XS_ggF=-2,5:mu_XS_WH_r_XS_ggF=-2,10:mu_XS_ZH_r_XS_ggF=-2,20:mu_XS_ttH_r_XS_ggF=-2,10:mu_BR_ZZ_r_BR_WW=-2,5:mu_BR_bb_r_BR_WW=-2,5:mu_BR_tautau_r_BR_WW=-2,5:mu_BR_gamgam_r_BR_WW=-2,5:mu_XS_ggF_x_BR_WW=-2,5" ;
      POIsF=",QCDscale_ggH,QCDscale_qqH,QCDscale_VH,QCDscale_ttH,pdf_Higgs_gg,pdf_Higgs_qq,pdf_Higgs_qg,param_alphaS,param_mB,param_mC,param_mt,HiggsDecayWidthTHU_hqq,HiggsDecayWidthTHU_hvv,HiggsDecayWidthTHU_hll,HiggsDecayWidthTHU_hgg,HiggsDecayWidthTHU_hzg,HiggsDecayWidthTHU_hgluglu,mu_XS7_r_XS8_VBF,mu_XS7_r_XS8_WH,mu_XS7_r_XS8_ZH,mu_XS7_r_XS8_ggF,mu_XS7_r_XS8_ttH";;
B1ZZ) POIs="mu_XS_ggF_x_BR_ZZ mu_XS_VBF_r_XS_ggF mu_XS_ttH_r_XS_ggF mu_XS_WH_r_XS_ggF mu_XS_ZH_r_XS_ggF mu_BR_tautau_r_BR_ZZ mu_BR_bb_r_BR_ZZ mu_BR_gamgam_r_BR_ZZ mu_BR_WW_r_BR_ZZ" ;
      POIsR="mu_XS_VBF_r_XS_ggF=-2,5:mu_XS_WH_r_XS_ggF=-2,10:mu_XS_ZH_r_XS_ggF=-2,20:mu_XS_ttH_r_XS_ggF=-2,10:mu_BR_WW_r_BR_ZZ=-2,5:mu_BR_bb_r_BR_ZZ=-2,5:mu_BR_tautau_r_BR_ZZ=-2,5:mu_BR_gamgam_r_BR_ZZ=-2,5:mu_XS_ggF_x_BR_ZZ=-2,5" ;
      POIsF=",QCDscale_ggH,QCDscale_qqH,QCDscale_VH,QCDscale_ttH,pdf_Higgs_gg,pdf_Higgs_qq,pdf_Higgs_qg,param_alphaS,param_mB,param_mC,param_mt,HiggsDecayWidthTHU_hqq,HiggsDecayWidthTHU_hvv,HiggsDecayWidthTHU_hll,HiggsDecayWidthTHU_hgg,HiggsDecayWidthTHU_hzg,HiggsDecayWidthTHU_hgluglu,mu_XS7_r_XS8_VBF,mu_XS7_r_XS8_WH,mu_XS7_r_XS8_ZH,mu_XS7_r_XS8_ggF,mu_XS7_r_XS8_ttH";;
L1_N1) POIs="lambda_WZ lambda_Zg lambda_bZ lambda_gamZ lambda_tauZ lambda_tg kappa_gZ" ;
       POIsV="lambda_WZ=1,lambda_tg=1" ;
       POIsR="lambda_WZ=0,2:lambda_tg=0,4:lambda_bZ=0,4:lambda_tauZ=0,3:lambda_Zg=0,4:lambda_gamZ=0,2:kappa_gZ=0,3" ;;
L1_N2) POIs="lambda_WZ lambda_Zg lambda_bZ lambda_gamZ lambda_tauZ lambda_tg kappa_gZ" ;
       POIsV="lambda_WZ=-1,lambda_tg=1" ;
       POIsR="lambda_WZ=-2,0:lambda_tg=0,4:lambda_bZ=0,4:lambda_tauZ=0,3:lambda_Zg=0,4:lambda_gamZ=0,2:kappa_gZ=0,3" ;;
L1_N3) POIs="lambda_WZ lambda_Zg lambda_bZ lambda_gamZ lambda_tauZ lambda_tg kappa_gZ" ;
       POIsV="lambda_WZ=1,lambda_tg=-1" ;
       POIsR="lambda_WZ=0,2:lambda_tg=-4,0:lambda_bZ=0,4:lambda_tauZ=0,3:lambda_Zg=0,4:lambda_gamZ=0,2:kappa_gZ=0,3" ;;
L1_N4) POIs="lambda_WZ lambda_Zg lambda_bZ lambda_gamZ lambda_tauZ lambda_tg kappa_gZ" ;
       POIsV="lambda_WZ=-1,lambda_tg=-1" ;
       POIsR="lambda_WZ=-2,0:lambda_tg=-4,0:lambda_bZ=0,4:lambda_tauZ=0,3:lambda_Zg=0,4:lambda_gamZ=0,2:kappa_gZ=0,3" ;;
K2_N1) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam" ;
       POIsF=",BRinv" ;
       POIsV="kappa_W=1,kappa_Z=1,kappa_t=1" ;
       POIsR="kappa_W=0,2:kappa_Z=0,2:kappa_tau=0,2:kappa_t=0,3:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.0000000" ;;
K2_N2) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam" ;
       POIsF=",BRinv" ;
       POIsV="kappa_W=-1,kappa_Z=+1,kappa_t=+1" ;
       POIsR="kappa_W=-2,0:kappa_Z=0,2:kappa_tau=0,2:kappa_t=0,3:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.0000000" ;;
K2_N3) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam" ;
       POIsF=",BRinv" ;
       POIsV="kappa_W=1,kappa_Z=-1,kappa_t=1" ;
       POIsR="kappa_W=0,2:kappa_Z=-2,0:kappa_tau=0,2:kappa_t=0,3:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.0000000" ;;
K2_N4) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam" ;
       POIsF=",BRinv" ;
       POIsV="kappa_W=-1,kappa_Z=-1,kappa_t=1" ;
       POIsR="kappa_W=-2,0:kappa_Z=-2,0:kappa_tau=0,2:kappa_t=-3,0:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.0000000" ;;
K2_BSM_N1) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam BRinv" ;
           POIsV="kappa_W=0.5,kappa_Z=0.5,kappa_t=1" ;
           POIsR="kappa_W=0,1:kappa_Z=0,1:kappa_tau=0,2:kappa_t=0,3:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.6" ;;
K2_BSM_N2) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam BRinv" ;
           POIsV="kappa_W=-0.5,kappa_Z=0.5,kappa_t=1" ;
           POIsR="kappa_W=-1,0:kappa_Z=0,1:kappa_tau=0,2:kappa_t=0,3:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.6" ;;
K2_BSM_N3) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam BRinv" ;
           POIsV="kappa_W=0.5,kappa_Z=-0.5,kappa_t=1" ;
           POIsR="kappa_W=0,1:kappa_Z=-1,0:kappa_tau=0,2:kappa_t=0,3:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.6" ;;
K2_BSM_N4) POIs="kappa_W kappa_Z kappa_tau kappa_t kappa_b kappa_g kappa_gam BRinv" ;
           POIsV="kappa_W=-0.5,kappa_Z=-0.5,kappa_t=1" ;
           POIsR="kappa_W=-1,0:kappa_Z=-1,0:kappa_tau=0,2:kappa_t=0,3:kappa_b=0,3:kappa_g=0,3:kappa_gam=0,2:BRinv=0,0.6" ;;
K3_N1) POIs="kappa_V kappa_F" ;
       POIsD="kappa_F";
       POIsR="kappa_V=0,2:kappa_F=-2,2" ;;
K3_N) POIs="kappa_F" ;
       POIsD="kappa_F";
       POIsR="kappa_V=0,2:kappa_F=-2,2" ;;
K3_5D_N) POIs=" kappa_F_gamgam kappa_F_WW kappa_F_ZZ  kappa_F_tautau kappa_F_bb" ;
         POIsR="kappa_V_gamgam=0,5:kappa_F_gamgam=-3,3:kappa_V_WW=0,5:kappa_F_WW=0,3:kappa_V_ZZ=0,15:kappa_F_ZZ=0,3:kappa_V_tautau=0,5:kappa_F_tautau=0,3:kappa_V_bb=0,5:kappa_F_bb=0,3" ;;
K3_5D_N1) POIs="kappa_V_gamgam kappa_F_gamgam kappa_V_WW kappa_F_WW kappa_V_ZZ kappa_F_ZZ kappa_V_tautau kappa_F_tautau kappa_V_bb kappa_F_bb" ;
          POIsD="kappa_F_gamgam";
          POIsF=",kappa_V,kappa_F" ;
          POIsR="kappa_V_gamgam=0,5:kappa_F_gamgam=-3,3:kappa_V_WW=0,5:kappa_F_WW=0,3:kappa_V_ZZ=0,15:kappa_F_ZZ=0,3:kappa_V_tautau=0,5:kappa_F_tautau=0,3:kappa_V_bb=0,5:kappa_F_bb=0,3" ;;
K3_5D_N2) POIs="kappa_V_gamgam kappa_F_gamgam kappa_V_WW kappa_F_WW kappa_V_ZZ kappa_F_ZZ kappa_V_tautau kappa_F_tautau kappa_V_bb kappa_F_bb" ;
          POIsD="kappa_F_WW";
          POIsF=",kappa_V,kappa_F" ;
          POIsR="kappa_V_gamgam=0,5:kappa_F_gamgam=0,3:kappa_V_WW=0,5:kappa_F_WW=-3,3:kappa_V_ZZ=0,15:kappa_F_ZZ=0,3:kappa_V_tautau=0,5:kappa_F_tautau=0,3:kappa_V_bb=0,5:kappa_F_bb=0,3" ;;
K3_5D_N3) POIs="kappa_V_gamgam kappa_F_gamgam kappa_V_WW kappa_F_WW kappa_V_ZZ kappa_F_ZZ kappa_V_tautau kappa_F_tautau kappa_V_bb kappa_F_bb" ;
          POIsD="kappa_F_ZZ";
          POIsF=",kappa_V,kappa_F" ;
          POIsR="kappa_V_gamgam=0,5:kappa_F_gamgam=0,3:kappa_V_WW=0,5:kappa_F_WW=0,3:kappa_V_ZZ=0,15:kappa_F_ZZ=-3,3:kappa_V_tautau=0,5:kappa_F_tautau=0,3:kappa_V_bb=0,5:kappa_F_bb=0,3" ;;
K3_5D_N4) POIs="kappa_V_gamgam kappa_F_gamgam kappa_V_WW kappa_F_WW kappa_V_ZZ kappa_F_ZZ kappa_V_tautau kappa_F_tautau kappa_V_bb kappa_F_bb" ;
          POIsD="kappa_F_tautau";
          POIsF=",kappa_V,kappa_F" ;
          POIsR="kappa_V_gamgam=0,5:kappa_F_gamgam=0,3:kappa_V_WW=0,5:kappa_F_WW=0,3:kappa_V_ZZ=0,15:kappa_F_ZZ=0,3:kappa_V_tautau=0,5:kappa_F_tautau=-3,3:kappa_V_bb=0,5:kappa_F_bb=0,3" ;;
K3_5D_N5) POIs="kappa_V_gamgam kappa_F_gamgam kappa_V_WW kappa_F_WW kappa_V_ZZ kappa_F_ZZ kappa_V_tautau kappa_F_tautau kappa_V_bb kappa_F_bb" ;
          POIsD="kappa_F_bb";
          POIsF=",kappa_V,kappa_F" ;
          POIsR="kappa_V_gamgam=0,5:kappa_F_gamgam=0,3:kappa_V_WW=0,5:kappa_F_WW=0,3:kappa_V_ZZ=0,15:kappa_F_ZZ=0,3:kappa_V_tautau=0,5:kappa_F_tautau=0,3:kappa_V_bb=0,5:kappa_F_bb=-3,3" ;;
L2_ldu_N1) POIs="kappa_uu lambda_du lambda_Vu" ;
           POIsV="lambda_du=+1,lambda_Vu=+1" ;
	         POIsR="lambda_du=0,2:lambda_Vu=0,2:kappa_uu=0,3" ;
           POIsF=",kappa_qq,lambda_lq,lambda_Vq,kappa_VV,lambda_FV" ;;
L2_ldu_N2) POIs="kappa_uu lambda_du lambda_Vu" ;
           POIsV="lambda_du=-1,lambda_Vu=+1" ;
	         POIsR="lambda_du=-2,0:lambda_Vu=0,2:kappa_uu=0,3" ;
           POIsF=",kappa_qq,lambda_lq,lambda_Vq,kappa_VV,lambda_FV" ;;
L2_ldu_N3) POIs="kappa_uu lambda_du lambda_Vu" ;
           POIsV="lambda_du=+1,lambda_Vu=-1" ;
	         POIsR="lambda_du=0,2:lambda_Vu=-2,0:kappa_uu=0,3" ;
           POIsF=",kappa_qq,lambda_lq,lambda_Vq,kappa_VV,lambda_FV" ;;
L2_ldu_N4) POIs="kappa_uu lambda_du lambda_Vu" ;
           POIsV="lambda_du=-1,lambda_Vu=-1" ;
	         POIsR="lambda_du=-2,0:lambda_Vu=-2,0:kappa_uu=0,3" ;
           POIsF=",kappa_qq,lambda_lq,lambda_Vq,kappa_VV,lambda_FV" ;;
L2_llq_N1) POIs="kappa_qq lambda_lq lambda_Vq" ;
           POIsV="lambda_lq=+1,lambda_Vq=+1" ;
           POIsR="lambda_lq=0,2:lambda_Vq=0,2:kappa_qq=0,2" ;
           POIsF=",kappa_uu,lambda_du,lambda_Vu,kappa_VV,lambda_FV" ;;
L2_llq_N2) POIs="kappa_qq lambda_lq lambda_Vq" ;
           POIsV="lambda_lq=-1,lambda_Vq=+1" ;
           POIsR="lambda_lq=-2,0:lambda_Vq=0,2:kappa_qq=0,2" ;
           POIsF=",kappa_uu,lambda_du,lambda_Vu,kappa_VV,lambda_FV" ;;
L2_llq_N3) POIs="kappa_qq lambda_lq lambda_Vq" ;
           POIsV="lambda_lq=+1,lambda_Vq=-1" ;
           POIsR="lambda_lq=0,2:lambda_Vq=-2,0:kappa_qq=0,2" ;
           POIsF=",kappa_uu,lambda_du,lambda_Vu,kappa_VV,lambda_FV" ;;
L2_llq_N4) POIs="kappa_qq lambda_lq lambda_Vq" ;
           POIsV="lambda_lq=-1,lambda_Vq=-1" ;
           POIsR="lambda_lq=-2,0:lambda_Vq=-2,0:kappa_qq=0,2" ;
           POIsF=",kappa_uu,lambda_du,lambda_Vu,kappa_VV,lambda_FV" ;;
L2_lfv_N1) POIs="kappa_VV lambda_FV" ;
           POIsV="lambda_FV=+1" ;
           POIsR="lambda_FV=0,2:kappa_VV=0,2" ;
           POIsF=",kappa_uu,lambda_du,lambda_Vu,kappa_qq,lambda_lq,lambda_Vq" ;;
L2_lfv_N2) POIs="kappa_VV lambda_FV" ;
           POIsV="lambda_FV=-1" ;
           POIsR="lambda_FV=-2,0:kappa_VV=0,2" ;
           POIsF=",kappa_uu,lambda_du,lambda_Vu,kappa_qq,lambda_lq,lambda_Vq" ;;
# ---- FOR L1 ----
esac;
if [[ "$2" == "-r" ]]; then
    echo " --redefineSignalPOIs=${POIs// /,}";
elif [[ "$2" == "-b" ]]; then
    echo " --setPhysicsModelParameterRanges=${POIsR}";
elif [[ "$2" == "-f" ]]; then
    echo "${POIsF}";
elif [[ "$2" == "-v" ]]; then
    echo " --setPhysicsModelParametersForGrid=${POIsV}";
elif [[ "$2" == "-d" ]]; then
    echo "${POIsD}";
elif [[ "$2" == "-," ]]; then
    echo "${POIs// /,}";
else
    echo $POIs; 
fi;
